Package com.databricks.jdbc.model.client.sqlexec

## Class CreateSessionRequest

- java.lang.Object
- - com.databricks.jdbc.model.client.sqlexec.CreateSessionRequest

    public class CreateSessionRequest
    extends Object

Create session request

### Constructor Summary

Constructors
`CreateSessionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCatalog()`
`String` `getSchema()`
`Map<String,​String>` `getSessionConfigs()`
`String` `getWarehouseId()`
`CreateSessionRequest` `setCatalog​(String catalog)`
`CreateSessionRequest` `setSchema​(String schema)`
`CreateSessionRequest` `setSessionConfigs​(Map<String,​String> sessionConfigs)`
`CreateSessionRequest` `setWarehouseId​(String warehouseId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateSessionRequest

    public CreateSessionRequest()

### Method Detail

#### setWarehouseId

    public CreateSessionRequest setWarehouseId​(String warehouseId)

#### getWarehouseId

    public String getWarehouseId()

#### setSchema

    public CreateSessionRequest setSchema​(String schema)

#### getSchema

    public String getSchema()

#### setCatalog

    public CreateSessionRequest setCatalog​(String catalog)

#### getCatalog

    public String getCatalog()

#### setSessionConfigs

    public CreateSessionRequest setSessionConfigs​(Map<String,​String> sessionConfigs)

#### getSessionConfigs

    public Map<String,​String> getSessionConfigs()